import { Component, OnInit } from '@angular/core';
import { Student } from '../student';
import { Grade } from '../grade'; 
import { GenericService } from '../generic.service'; 

@Component({
  selector: 'app-students',
  templateUrl: './students.component.html',
  styleUrls: ['./students.component.scss']
})
export class StudentsComponent implements OnInit {

  students : Student[] = []; 

  constructor(private genericService: GenericService) { }

  ngOnInit(): void {
    console.log("ngOnInit called for StudentComponent");
  	this.getStudents();
  }

  getStudents(): void {
  	/*this.students = this.genericService.fetchStudents();*/
  	this.genericService.fetchStudents()
    	.subscribe(students => this.students = students);
  } 

  onSelect(stud: Student): void {
    console.log(stud.name + " is selected.");
  } 
}
